Endpoint
| field | value |
|---|
| method | PUT |
| path | /api/integrations/v1/companies/{company_id}/projects/{project_id} |
| operationId | update_project_for_integration |
| auth | server to server integration client token |
| Idempotency-Key | required |
| lifecycle | stable |
| resource type | project |
| data classification | internal |
| scope risk | medium |
| write operation | yes |
Summary
対象 を更新します
Required scope
| scope | requirement |
|---|
| projects:write | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | - |
| sync max limit | - |
| reconciliation | - |
Path parameters
| name | required | schema |
|---|
| company_id | required | integer |
| project_id | required | integer |
Query parameters
Header parameters
| name | required | schema |
|---|
| Idempotency-Key | required | string |
Request body
| status | media type | schema |
|---|
| - | application/json | IntegrationProjectUpdateRequest |
Response
| status | media type | schema |
|---|
| 200 | application/json | SuccessResponse_IntegrationProjectDetail_ |
Example
curl -X PUT "https://api.anshin.care/api/integrations/v1/companies/{company_id}/projects/{project_id}" \
-H "Authorization: Bearer $ANSHIN_INTEGRATION_ACCESS_TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"example":"replace with request schema"}'
業務境界
- domain: プロジェクト
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。